6.0.0-git
2019-03-23

[#14137] recurring task: next entries do not show in Agenda
Summary recurring task: next entries do not show in Agenda
Queue Nag
Queue Version 4.2.5
Type Bug
State Resolved
Priority 2. Medium
Owners
Requester x.van_dessel (at) ieee (dot) org
Created 2015-10-13 (1257 days ago)
Due
Updated 2015-10-28 (1242 days ago)
Assigned
Resolved 2015-10-28 (1242 days ago)
Milestone
Patch No

History
2015-10-28 18:28:45 Michael Rubinsky State ⇒ Resolved
 
2015-10-28 17:51:09 Git Commit Comment #3 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit 06be1f07c6cb14e3a14a217aeb80f13c6506cb53
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Wed Oct 28 13:48:21 2015 -0400

     Bug: 14137 Return future and incomplete tasks.

     This is needed for recurring tasks to be returned after the initial
     instance has been completed.

  nag/lib/Api.php |    2 +-
  1 files changed, 1 insertions(+), 1 deletions(-)

http://github.com/horde/horde/commit/06be1f07c6cb14e3a14a217aeb80f13c6506cb53
2015-10-28 17:49:54 Git Commit Comment #2 Reply to this comment
Changes have been made in Git (master):

commit c3fcc852cd9cab0898aa5688f955ce64be1444e8
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Wed Oct 28 13:48:21 2015 -0400

     Bug: 14137 Return future and incomplete tasks.

     This is needed for recurring tasks to be returned after the initial
     instance has been completed.

  nag/lib/Api.php |    2 +-
  1 files changed, 1 insertions(+), 1 deletions(-)

http://github.com/horde/horde/commit/c3fcc852cd9cab0898aa5688f955ce64be1444e8
2015-10-13 10:17:26 x (dot) van_dessel (at) ieee (dot) org Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Summary ⇒ recurring task: next entries do not show in Agenda
Queue ⇒ Nag
Milestone ⇒
Patch ⇒ No
Reply to this comment
Given today is day J.
Create a task for target J+10, with a start date J-2. Set task 
recurrence to every 1 month on the same date.
Go to Agenda/kronolith. Ensure the tasks are shown.
The new task appears correctly in the agenda.

Now go back to the task list, and complete the task in the task list.

The outstanding task list no longer shows the task, as expected. The 
All tasks list or the future task list shows the task, with a target 
date of J+10D+1M, as expected.

Now go to the calendar/kronolith. Select a view of next month.

Expected behaviour: the task should appear in the calendar, as did the 
previous instance.
Observed behaviour: the task does not show on the next occurrence date.

For reference:
kronolith version used is 4.2.9

Saved Queries